# $Revision: 1.70 $, $Date: 2010/12/05 20:19:54 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	Base64
Summary:	Base64 and QuotedPrintable encoders/decoders for Perl
Summary(pl.UTF-8):	Funkcje dla Perla kodujące i dekodujące Base64 i QuotedPrintable
Name:		perl-MIME-Base64
Version:	3.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/GAAS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a555d807b328aee871c686a6b6bae5b4
URL:		http://search.cpan.org/dist/MIME-Base64/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Encode)'

%description
This package contains a base64 encoder/decoder and a quoted-printable
encoder/decoder. These encoding methods are specified in RFC 2045 -
MIME (Multipurpose Internet Mail Extensions).

The Base64 encoding is designed to represent arbitrary sequences of
octets in a form that need not be humanly readable. A 65-character
subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits to be
represented per printable character.

The quoted-printable encoding is intended to represent data that
largely consists of bytes that correspond to printable characters in
the ASCII character set. Non-printable characters are represented by a
triplet consisting of the character "=" followed by two hexadecimal
digits.

%description -l pl.UTF-8
Ten pakiet zawiera (de)kodery base64 i quoted-printable. Metody te
określone są w RFC 2045 - MIME (Multipurpose Internet Mail
Extensions).

Kod base64 zaprojektowano do reprezentowania określonej sekwencji
oktetów w formie, która nie musi być czytelna dla człowieka. Używany
jest 65-znakowy ([A-Za-z0-9+/=]) podzestaw z zestawu US-ASCII,
reprezentując każdy znak drukowalny sześcioma bitami.

Kod quoted-printable stosuje się do reprezentacji danych, które w
większości zawierają znaki drukowalne ASCII. Znaki niedrukowalne są
kodowane w triplety zawierające poprzedzone znakiem "=" dwie cyfry
szesnastkowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorarch}/MIME/Base64.pm
%{perl_vendorarch}/MIME/QuotedPrint.pm
%dir %{perl_vendorarch}/MIME
%dir %{perl_vendorarch}/auto/MIME
%dir %{perl_vendorarch}/auto/MIME/Base64
%{perl_vendorarch}/auto/MIME/Base64/Base64.bs
%attr(755,root,root) %{perl_vendorarch}/auto/MIME/Base64/Base64.so
%{_mandir}/man3/MIME::Base64.3pm*
%{_mandir}/man3/MIME::QuotedPrint.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MIME-Base64.spec,v $
Revision 1.70  2010/12/05 20:19:54  qboosh
- updated to 3.13

Revision 1.69  2010/11/01 07:28:59  arekm
- release 4

Revision 1.68  2010/10/29 17:06:09  hawk
- release 3

Revision 1.67  2010/06/06 08:39:34  arekm
- release 2

Revision 1.66  2010/05/19 07:28:23  qboosh
- updated to 3.09

Revision 1.65  2009/08/26 09:59:19  amateja
- updated to 3.08

Revision 1.64  2009/03/13 15:48:15  hawk
- release 3

Revision 1.63  2008/03/24 15:04:16  qboosh
- generic URL
- tests bcond

Revision 1.62  2008-02-10 12:15:47  arekm
- rel 2

Revision 1.61  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.60  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.59  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.58  2006/04/04 10:30:37  radek
- version 3.07

Revision 1.57  2005/05/11 00:08:51  pluto
- release 2 for Th.

Revision 1.56  2004/11/03 22:30:31  paladine
- formatting

Revision 1.55  2004/11/01 22:30:05  adamg
- updated to 3.05

Revision 1.54  2004/09/05 16:41:32  adamg
- updated to 3.03

Revision 1.53  2004/06/05 18:10:43  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.52  2004/05/06 18:20:33  ankry
- fixed perl-devel BR

Revision 1.51  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.50  2004/04/14 21:16:06  ankry
- License fixed

Revision 1.49  2004/03/29 18:41:08  adamg
- updated to 3.01

Revision 1.48  2004/01/24 23:13:39  arekm
- autoupdated to 3.00

Revision 1.47  2003/10/10 07:57:13  migo
- up to 2.21
- perform tests, cosmetics

Revision 1.46  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.45  2003/07/29 15:44:17  adamg
- updated to 2.20

Revision 1.44  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.43  2003/05/25 06:24:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2003/05/06 00:32:59  ankry
- typo; rel. 4

Revision 1.41  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.40  2003/04/08 20:41:08  ankry
- adapterized, rel. 3

Revision 1.39  2003/03/16 20:43:48  qboosh
- typo, pl summary

Revision 1.38  2003/03/14 18:56:47  radek
- typo, informative summary, minor %%description tweaking

Revision 1.37  2003/03/13 00:03:05  ankry
- merge from RA-branch: updated to 2.18

Revision 1.36  2003/03/09 17:44:19  ankry
- perl(Encode) should not be required on our archs

Revision 1.35  2003/03/01 20:20:11  radek
- should be ready for perl-5.8.0; release++

Revision 1.34  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.33  2003/02/18 15:35:52  ankry
- massive attack: change CPAN URLs

Revision 1.32  2003/01/09 17:21:01  qboosh
- added {de,en}code_{base64,qp} scripts to files

Revision 1.31  2003/01/08 12:41:12  mis
- autoupdated to 2.16

Revision 1.30  2002/07/16 11:34:32  ankry
- translations, cleaning
- added %%doc files
- release 6

Revision 1.29  2002/07/10 08:47:56  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.28  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.27  2002/02/25 10:33:05  depesz
cleanup; revision++

Revision 1.26  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/18 16:40:11  gotar
- added/fixed polish %%descriptions.

Revision 1.24  2002/02/13 14:18:32  depesz
automatic: Source location unified, Relase Up

Revision 1.23  2002/02/10 15:28:56  depesz
adapterized

Revision 1.22  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.20  2001/07/16 00:10:26  qboosh
- added %%{perl_sitearch}/{,auto/}MIME dirs (no other package uses them)
- release 3

Revision 1.19  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/04/17 12:12:03  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.17  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.16  2001/02/28 19:09:49  mis
- updated (by autoup) to 2.12

Revision 1.15  2001/01/25 20:03:45  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.14  2001/01/11 01:58:16  kloczek
- release 5: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.13  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.9  1999/12/04 20:36:27  kloczek
- new enhanced %%descriprion from Mandrake spec.

Revision 1.8  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.7  1999/10/23 11:35:08  wiget
Release ++

Revision 1.6  1999/10/23 11:21:19  wiget
- %include /usr/lib/rpm/macros.perl
- BuildRequires: rpm-perlprov

Revision 1.5  1999/09/28 12:28:42  pius
- removed directories owned by perl-mod-skel from package
- release up

Revision 1.4  1999/09/15 00:08:40  wiget
- release 2

Revision 1.3  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.2  1999/08/28 12:10:10  wiget
- modified for perl 5.005_61

Revision 1.1  1999/07/13 11:33:14  wiget
initial release
